Implementacion SSO SAML 2.0 con IdP UAM (LoginExterno y OP_Login)
02/11/2026 04:35 PM - Daniel Garcia

Status: En curso Start date: 02/11/2026
Priority: Urgente Due date:

Assignee: Daniel Garcia % Done: 0%
Category: Estimated time: 180.00 hours
Target version: Spent time: 46.10 hours
Description

Se requiere implementar autenticaciéon Single Sign-On (SSO) mediante SAML 2.0 contra el Identity Provider (IdP) de la UAM,
permitiendo que los usuarios de la universidad accedan a los sistemas sin necesidad de autenticacién local independiente.

La aplicacion actuaréd como Service Provider (SP) y se integrara con el |[dP de la UAM utilizando los endpoints y certificado
proporcionados.

Aplica a:
- LoginExterno (Matriculas, Congresos, Contabilidad, WebFUAM)
- OP_Login (6rdenes de pago de colaboradores)

Analisis y estudio técnico (Estimacion: 20 h)

- Estudio del flujo completo SAML 2.0.

- Analisis de OpenSAML 2.x y su API.

- Revision en profundidad de LoginExterno.

- Revision de Login.java (OP_Login).

- Definicion de arquitectura SP dentro del sistema legacy.

Desarrollo Core SAML (Service Provider) (Estimacion: 52 h)

- Configuracion del SP (entitylD, endpoints, certificados).
- Generacioén de AuthnRequest (SP — IdP).

- Implementacion de Assertion Consumer Service (ACS).
- Procesamiento de Response y Assertion.

- Validacion de firma XML y certificado X.509.

- Generacion de metadata.xml del SP.

- Implementacion basica de Single Logout (SLO).

Integracion con LoginExterno y OP_Login (Estimacion: 44 h)

- Integracion del flujo SSO en LoginExterno.

- Integracién del flujo SSO en OP_Login.

- Mapeo de atributos SAML (nombre, apellidos, email).

- Creacién automatica o vinculacién de usuarios locales.
- Adaptacion de JSPs (boton “Acceder con UAM”).

- Ajustes de control de sesidn y roles.

Configuracion y ajustes técnicos (Estimacion: 16 h)

- Generacion de certificados del SP.

- Configuracion en struts.xml y web.xml.

- Gestion de pardmetros configurables.

- Adaptaciones necesarias en base de datos (campo saml_nameid o relaciéon equivalente).

Testing, integracion con UAM y depuracion (Estimacion: 32 h)

- Pruebas unitarias bésicas.

- Pruebas de integracién con IdP UAM.

- Resolucién de problemas tipicos SAML (firmas, canonicalizacién, encoding).
- Validacion de logout coordinado.

- Ajustes tras pruebas en entorno real.
Buffer técnico y contingencias (Estimacion: 16 h)
- Incidencias derivadas de codigo legacy.

- Problemas con librerias antiguas.

- Ajustes derivados de validaciones del IdP UAM.

Estimacion global

Estimacion total aproximada: 180 horas

History

#1 - 02/11/2026 04:35 PM - Daniel Garcia

- Status changed from Nueva to En Aprobacion

#2 - 02/12/2026 08:32 AM - Jose Antonio Martin Bravo
- Status changed from En Aprobacion to En curso
- Assignee changed from Jose Antonio Martin Bravo to Daniel Garcia

- Priority changed from Normal to Urgente

Adelante con el desarrollo de la tarea por 180 horas

#3 - 02/12/2026 09:45 AM - Daniel Garcia
- Estimated time set to 180.00 h
